Subject: [Ntp] NTS Objectives

From: [email-masked]
Date: Mon, 31 May 2021 18:29:48 +0200

Hey all,

in light of the recent discussions about NTS4UPTP, I've studied the "Objectives" section of RFC8915 again.

The first thing I notice is that the objectives there are really features of the draft, some complete with a description of the way in which they work.

The second thing I notice is that they presuppose a number of things, among them: two-way synchronization (in particular a client-server scheme) and communication via the internet (they presuppose "mobile clients").

The last objective (performance, via lightweight crypto) also presupposes one-step kinds of messages.

Overall, I believe that this list is not a good basis to derive goals for other security approaches.

In particular, it seems unsuited as a baseline for discussion of any kind of PTP security with NTS methods, as it seems unreasonable to presuppose any of those things for a PTP network.

I want to remind the WG that NTS once used to be a generic concept, with a document, and that "NTS for NTP" was supposed to be only one application of it.

So I will ask about something I last asked about more than a year ago (Sep 2019) with no real response:

Is there interest in a document that kind of sits between RFC7384 (Tal's requirements document) and RFC8915 (NTS for NTP)?

I envision a document that talks about the specific requirements on the messages that a synchronization protocol exchanges and the generic blueprint that I think of as the state-of-the-art.

This would basically be compiled from the results of three minor chapters of my doctoral thesis.

I believe this could help us futureproof design and decision processes, and one of the first applications could be the discussions about (NTS-based) solutions for PTP security.

Best regards,

Kristof